
INCLUDE = \jwasm\include\crt;\jWasm\wininc\Include
CFLAGS = /c /coff /Cp
AR = ar rcs
OBJECTS =atodw.obj \
catstrng.obj \
chrstr.obj \
clearfltvar.obj \
clearintvar.obj \
clearLngstrng_bffr.obj \
clearstrng_bffr.obj \
clearstrvar.obj \
clear_allvars.obj \
closeafile.obj \
closeallfiles.obj \
copystrng.obj \
copystrng_bffr.obj \
datestr.obj \
dblArryElement.obj \
dimstrarray.obj \
Do_initialize.obj \
dwtoa.obj \
freeArray.obj \
getArryOffst.obj \
getfilehandle.obj \
getfilelength.obj \
get_sys_date.obj \
get_sys_time.obj \
leftstr.obj \
lsetstr.obj \
ltoa.obj \
mid_str.obj \
mkdstr.obj \
mkistr.obj \
mkqstr.obj \
movstrng_bffr.obj \
quadArryElement.obj \
readfltstr.obj \
readintstr.obj \
readQintstr.obj \
redimarray.obj \
rightstr.obj \
rsetstr.obj \
setupiobuffer.obj \
spacestr.obj \
stringstr.obj \
strsFval.obj \
strsIval.obj \
szLeft.obj \
szMid.obj \
szRight.obj \
timestr.obj \
FloatToStr2.obj \
StrToFloat.obj \
value2strng.obj



all : library
	@echo
	@echo Succesful Build

ltoa.obj : ltoa.c
	gcc -c ltoa.c -oltoa.obj

FloatToStr2.obj : FloatToStr2.c
	gcc -c FloatToStr2.c -oFloatToStr2.obj

StrToFloat.obj : StrToFloat.c
	gcc -c StrToFloat.c -oStrToFloat.obj

value2strng.obj : value2strng.c
	gcc -c value2strng.c -ovalue2strng.obj

%.obj : %.asm
	jwasm $(CFLAGS) $<

library : $(OBJECTS)
	@$(AR) libbxblib.a $(OBJECTS)


clean_object_files:
	@echo Cleaning Up
	@del *.obj

clean : clean_object_files
	@echo Removing All Object and Library Files
	@del *.a

